package com.yanzhu.sur.domain;

import com.yanzhu.common.annotation.Excel;
import com.yanzhu.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 菜单配置角色对象 sur_menu_config_role
 * 
 * @author JiangYuQi
 * @date 2023-08-24
 */
public class SurMenuConfigRole extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 菜单关系主键 */
    @Excel(name = "菜单关系主键")
    private Long smcid;

    /** 角色主键 */
    @Excel(name = "角色主键")
    private Long roleId;

    /** 角色名称 */
    @Excel(name = "角色名称")
    private String roleName;

    public void setSmcid(Long smcid) 
    {
        this.smcid = smcid;
    }

    public Long getSmcid() 
    {
        return smcid;
    }
    public void setRoleId(Long roleId) 
    {
        this.roleId = roleId;
    }

    public Long getRoleId() 
    {
        return roleId;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("smcid", getSmcid())
            .append("roleId", getRoleId())
            .toString();
    }
}
